org.gradle.api.publish.maven.tasks

## Class AbstractPublishToMaven

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.publish.maven.tasks.AbstractPublishToMaven

- All Implemented Interfaces:
    Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Task, org.gradle.util.Configurable<Task>
  Direct Known Subclasses:
    PublishToMavenLocal, PublishToMavenRepository

      @Incubating
      public abstract class AbstractPublishToMaven
      extends DefaultTask

  Base class for tasks that publish a `MavenPublication`.
  Since:
    2.4

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractPublishToMaven()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.gradle.internal.Factory<org.gradle.logging.LoggingManagerInternal>` | `getLoggingManagerFactory()`
    `protected org.gradle.api.internal.artifacts.mvnsettings.LocalMavenRepositoryLocator` | `getMavenRepositoryLocator()`
    `MavenPublication` | `getPublication()` The publication to be published.
    `protected org.gradle.api.publish.maven.internal.publication.MavenPublicationInternal` | `getPublicationInternal()`
    `void` | `setPublication(MavenPublication publication)` Sets the publication to be published.

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getImpliesSubProjects, getInputs, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setName, setOnlyIf, setOnlyIf, setProject, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractPublishToMaven

          public AbstractPublishToMaven()

  - ### Method Detail

    - #### getPublication

          public MavenPublication getPublication()

      The publication to be published.
      Returns:
        The publication to be published

    - #### setPublication

          public void setPublication(MavenPublication publication)

      Sets the publication to be published.
      Parameters:
        `publication` - The publication to be published

    - #### getPublicationInternal

          protected org.gradle.api.publish.maven.internal.publication.MavenPublicationInternal getPublicationInternal()

    - #### getLoggingManagerFactory

          @Inject
          protected org.gradle.internal.Factory<org.gradle.logging.LoggingManagerInternal> getLoggingManagerFactory()

    - #### getMavenRepositoryLocator

          @Inject
          protected org.gradle.api.internal.artifacts.mvnsettings.LocalMavenRepositoryLocator getMavenRepositoryLocator()